/*
 * PeTrack - Software for tracking pedestrians movement in videos
 * Copyright (C) 2024 Forschungszentrum Jülich GmbH, IAS-7
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef BLURFILTER_H
#define BLURFILTER_H

#include "filter.h"

#include <opencv2/opencv.hpp>

class BlurFilter : public Filter
{
public:
    BlurFilter() : Filter() { p = 1; }
    cv::Mat act(cv::Mat &img, cv::Mat &res);
    void    setParam(double newp);

private:
    double p;
};

#endif
